package body MSHTML.IHTMLFrameBase3_Object is

   procedure Put_longDesc
     (This : IHTMLFrameBase3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLFrameBase3_Put_longDesc,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_longDesc;

   function Get_longDesc
     (This : IHTMLFrameBase3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFrameBase3_Get_longDesc);
   end Get_longDesc;

end MSHTML.IHTMLFrameBase3_Object;

